//
//  ListViewController.swift
//  GoogleIndoor
//
//  Created by Malek T. on 4/12/16.
//  Copyright © 2016 Medigarage Studios LTD. All rights reserved.
//

import UIKit

protocol IndoorProtocol{
    func showIndoorForRegionWithIndex(index: Int)
}

class ListViewController: UIViewController {
    
    var listIndoorLocations: [String]!
    var delegate: IndoorProtocol!

    override func viewDidLoad() {
        super.viewDidLoad()
        self.automaticallyAdjustsScrollViewInsets = false
        listIndoorLocations = ["Tokyo Big Sight", "Roppongi Hills", "Tokyo Midtown","Isetan Shinjuku"]
    }
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */
    
    //MARK: UITableViewDataSource
    func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return listIndoorLocations.count
    }
    func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell {
        let cell: UITableViewCell! = tableView.dequeueReusableCellWithIdentifier("CellID", forIndexPath: indexPath)
        cell?.textLabel?.text = listIndoorLocations[indexPath.row]
        return cell
    }
    //MARK: UITableViewDelegate
    func tableView(tableView: UITableView, didSelectRowAtIndexPath indexPath: NSIndexPath) {
        delegate.showIndoorForRegionWithIndex(indexPath.row)
        self.navigationController?.popViewControllerAnimated(true)
    }
}
