//
//  ViewController.swift
//  GoogleIndoor
//
//  Created by Malek T. on 4/11/16.
//  Copyright © 2016 Medigarage Studios LTD. All rights reserved.
//

import UIKit
import GoogleMaps

class ViewController: UIViewController, IndoorProtocol {
    var coordinates: [AnyObject]!
    var mapView: GMSMapView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        mapView = GMSMapView(frame: CGRectZero)
        self.view = mapView
        coordinates = [[35.630090, 139.793200], [35.660490,139.729600], [35.665742,139.731354], [35.687719,139.702146]]
    }
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    func showIndoorForRegionWithIndex(index: Int) {
        let lat = coordinates[index][0] as! Double
        let lon = coordinates[index][1] as! Double
        let camera = GMSCameraPosition.cameraWithLatitude(lat,
                                                          longitude:lon, zoom:18)
        mapView = GMSMapView.mapWithFrame(CGRectZero, camera:camera)
        self.view = mapView
    }

    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        let listVC = segue.destinationViewController as! ListViewController
        listVC.delegate = self
    }
}

